********
*IMPORT*
********

*To build the dataset, replace ??? in the command -cd "???"- by the correct file path
cd "C:\Users\Fripo\Google Drive\Projets (En cours)\5. Buts, motivations, et comportement d'aide\Submission M&E\Revision 2\FigShare (R2)\Study 2 - Inducing Selective Assessment"
import excel "(Study 2) Raw matrix (de-identified).xls", firstrow cellrange(A1:FJ217) clear

****************************
*PARTICIPANTS AND PROCEDURE*
****************************

**exclusion
*from the participant who performed the task "A total of 216 students"
gen id = _n
distinct id
*"Twenty-eight participants, who failed the instructional manipulation check (cf. Procedure)"
gen check_ok = condition_0AEval_1Eval_2Selec -  check_recode
drop if check_ok == -2 
drop if check_ok == -1 
drop if check_ok == 1 
drop if check_ok == 2 
display 2+10+10+6
*..."as well as one deviant observation, were excluded from the analysis" (see the end of the do)
drop if id == 19

*"113 women and 61 men (13 missing)" sex (0 = women)
tab genre_0F_recode 
*"Mage = 24.78 (SD = 6.85)"
sum age
*"the test was presented as a self-assessment tool (n = 69)"
*..."an evaluative assessment tool (n = 59)"
*..."a selective assessment tool (n = 59)"
*conditions (0 = AE, 1 = E)
tab condition

*Number of responses shared with the other
*(M = 3.33 responses shared, SD = 1.57)
gen partage = p1+ p2+ p3 + p4 + p5 + p6 + p7 + p8 + p9 + p10
sum partage

**********
*VARIABLE*
**********

*pap1-pap3: (strenght of) performance goals
*map1-map3: (strenght of) mastery goals

*alphas
alpha pap1 pap2 pap3
alpha map1 map2 map3
alpha papmc1 papmc2
alpha papma1 papma2
alpha mapmc1 mapmc2
alpha mapma1 mapma2

*creating variable + descriptive statistics and correlations
*papmc1-papmc2: controlled reasons connected to performance goals 
*papma1-papma2: autonomous reasons connected to performance goals 
*mapmc1-mapmc2: controlled reasons connected to mastery goals
*mapma1-mapma2: autonomous reasons connected to mastery goals
egen pap = rowmean(pap1 pap2 pap3)
egen pap_mean = mean(pap)
gen pap_c = pap - pap_mean
egen map = rowmean(map1 map2 map3)
egen map_mean = mean(map)
gen map_c = map - map_mean
egen papmc = rowmean(papmc1 papmc2)
egen papmc_mean = mean(papmc)
gen papmc_c = papmc - papmc_mean
egen papma = rowmean(papma1 papma2)
egen papma_mean = mean(papma)
gen papma_c = papma - papma_mean
egen mapmc = rowmean(mapmc1 mapmc2)
egen mapmc_mean = mean(mapmc)
gen mapmc_c = mapmc - mapmc_mean
egen mapma = rowmean(mapma1 mapma2)
egen mapma_mean = mean(mapma)
gen mapma_c = mapma - mapma_mean
sum pap map papmc papma mapmc mapma
pwcorr pap map papmc papma mapmc mapma
pwcorr pap map papmc papma mapmc mapma, sig

*********
*RESULTS*
*********

***Preliminary Analysis
**Effect of the condition on PAp
**"performance goals did not differ as a function of the type of assessment, F(2, 184) = 0.83, p = .436"
reg pap i.condition
testparm i.condition

***Main Analysis
**creating contrasts and dummies for condition
recode condition (0 = -0.333333333333333) (1 = -0.333333333333333) (2 = 0.666666666666666), gen(cint)
recode condition (0 = -0.5) (1 = 0.5) (2 = 0), gen(cort)
recode condition (0 = 0) (1 = 0) (2 = 1), gen(cond_selec)
recode condition (0 = 0) (1 = 1) (2 = 0), gen(cond_eval)
recode condition (0 = 1) (1 = 0) (2 = 0), gen(cond_aeval)
**creating dummies for map
sum map
gen map_m = map_c + r(sd)
gen map_p = map_c - r(sd)

***Four models***

**1. main: PApMC
**"The interaction between the planned contrast and performance goals was significant, B = 0.26 [0.04, 0.48], p = .020, η2p = .03"
reg papmc c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
estat esize
**simple slopes
*condition = selection
*"performance goals were regulated by more controlled reasons in the selective assessment condition, B = 0.57 [0.40, 0.74], p < .001, η2p = .10"
reg papmc cond_aeval##c.map_c##c.pap_c cond_eval##c.map_c##c.pap_c
display  6.69 *  6.69 / (6.69 *  6.69 + 175)
*condition = self-evaluation
*..."than in the self- assessment condition, B = 0.41 [0.23, 0.59], p < .001, η2p = .10"
reg papmc cond_selec##c.map_c##c.pap_c cond_eval##c.map_c##c.pap_c
display  4.45 *  4.45 / (4.45 *  4.45 + 175)
*condition = evaluation
*..."and the evaluative assessment condition, B = 0.22 [0.01, 0.42], p = .039, η2p = .02"
reg papmc cond_selec##c.map_c##c.pap_c cond_aeval##c.map_c##c.pap_c
display  2.08 *  2.08 / (2.08 *  2.08 + 175)

**2. main: PApMA
**"An interaction between performance and mastery goals was observed, B = − 0.06 [− 0.10, − 0.01], p = .024, η2p = .03."
reg papma c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
estat esize
*simple slopes
*"performance goals were regulated by more autonomous reasons when mastery goals were low (− 1 SD), B = 0.75 [0.60, 0.89], p < .001, η2p = .37,"
reg papma c.cint##c.map_m##c.pap_c c.cort##c.map_m##c.pap_c
display 10.12 * 10.12 / (10.12 * 10.12 + 175)
*..."than high (+1 SD), B = 0.55 [0.43, 0.66], p < .001, η2p = .34"
reg papma c.cint##c.map_p##c.pap_c c.cort##c.map_p##c.pap_c
display 9.50 * 9.50 / (9.50 * 9.50 + 175)

**3. main: MApMC
reg mapmc c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
estat esize

**4. main: MApMA
reg mapma c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
estat esize

***Additional Analysis
***"The interaction was not significantly different from zero, B = − 0.03 [− 0.29, 0.23] p = .820."
reg partage c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort

****************
*TABLE & FIGURE*
****************

reg papmc c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
reg papma c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
reg mapmc c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
reg mapma c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort

***************
*SUPPLEMENTARY*
***************

***Table S1.
**Participants did not differ significanty on gender across condition
by condition, sort: tab genre_0F 
logit genre_0F_recode i.condition
testparm i.condition 
**Participants did not differ significanty on age across condition
by condition: sum age
reg age i.condition
testparm i.condition 

***********
*FOOTNOTES*
***********

***OUTLIER
import excel "C:\Users\Fripo\Google Drive\Projets (En cours)\5. Buts, motivations, et comportement d'aide\Submission M&E\Revision 1\FigShare (R1)\Study 2 - Inducing Selective Assessment\(Study 2) Raw matrix (de-identified).xls", firstrow cellrange(A1:FJ217) clear
gen id = _n
sum id
gen check_ok = condition_0AEval_1Eval_2Selec -  check_recode
drop if check_ok == -2 
drop if check_ok == -1 
drop if check_ok == 1 
drop if check_ok == 2 
egen pap = rowmean(pap1 pap2 pap3)
egen pap_mean = mean(pap)
gen pap_c = pap - pap_mean
egen map = rowmean(map1 map2 map3)
egen map_mean = mean(map)
gen map_c = map - map_mean
egen papmc = rowmean(papmc1 papmc2)
egen papmc_mean = mean(papmc)
gen papmc_c = papmc - papmc_mean
egen papma = rowmean(papma1 papma2)
egen papma_mean = mean(papma)
gen papma_c = papma - papma_mean
egen mapmc = rowmean(mapmc1 mapmc2)
egen mapmc_mean = mean(mapmc)
gen mapmc_c = mapmc - mapmc_mean
egen mapma = rowmean(mapma1 mapma2)
egen mapma_mean = mean(mapma)
gen mapma_c = mapma - mapma_mean
recode condition (0 = -0.333333333333333) (1 = -0.333333333333333) (2 = 0.666666666666666), gen(cint)
recode condition (0 = -0.5) (1 = 0.5) (2 = 0), gen(cort)
*main model with the outlier
reg papmc c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
estat esize
*diagnostic
reg papmc c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
predict res_papmc, rstudent, if e(sample)
predict c_papmc, cooksd, if e(sample)
reg papma c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
predict res_papma, rstudent, if e(sample)
predict c_papma, cooksd, if e(sample)
reg mapma c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
predict res_mapma, rstudent, if e(sample)
predict c_mapmaa, cooksd, if e(sample)
reg mapmc c.cint c.cort c.pap_c c.pap_c#c.cint c.pap_c#c.cort c.map_c c.map_c#c.cint c.map_c#c.cort c.pap_c#c.c.map_c c.pap_c#c.c.map_c#c.cint c.pap_c#c.c.map_c#c.cort
predict res_mapmc, rstudent, if e(sample)
predict c_mapmc, cooksd, if e(sample)
sum id res_papmc c_papmc if res_papmc > 4
sum id res_papma c_papma if res_papma > 4
sum id res_mapmc c_mapmc if res_mapmc > 4
sum id res_mapma c_mapma if res_mapma > 4
