********
*IMPORT*
********

*To build the dataset, replace ??? in the command -cd "???"- by the correct file path
cd "C:\Users\Fripo\Google Drive\Projets (En cours)\5. Buts, motivations, et comportement d'aide\Submission M&E\Revision 2\FigShare (R2)\Study 1 - CMS-Polymath"
import excel "(Study 1) Raw matrix (de-identified).xlsx", firstrow cellrange(A1:AN170) clear

****************************
*PARTICIPANTS AND PROCEDURE*
****************************

**"A total of 169 students"
gen id = _n
distinct id

**"Three respondents were excluded due to missing data."
*missing excluded (mc is "controlled reasons behind performance goals)
egen mc = rowmean(mc1 mc2)
drop if mc == .

*"40 women and 117 men (9 unspecified)" (sex (1 = men)
recode sex (. = 8)
tab sex
*"Mage = 20.31 (SD = 1.64)"
sum age
*"“Polymath” (n = 81) or “CMS” (i.e., Special Mathematics Course; n = 85)"faculty (-0.5 = Polymath)
tab faculty

***********
*VARIABLES*
***********

*pap1-pap3: (strenght of) performance goals
*map1-map3: (strenght of) mastery goals
*mc1-mc2: controlled reasons behind performance goals 
*ma1-ma2: autonomous reasons behind performance goals
*oe1-oe5: exploitation orientation toward information exchange (item names with "i" at the end are reversed-coded)

*alphas
alpha pap1 pap2 pap3
alpha map1 map2 map3
alpha mc1 mc2
alpha ma1 ma2
gen oe2 = 8 - oe2i
gen oe4 = 8 - oe4i
alpha oe1 oe2 oe3 oe4 oe5

*creating variable + descriptive statistics and correlations
egen pap = rowmean(pap1 pap2 pap3)
egen pap_mean = mean(pap)
gen pap_c = pap - pap_mean
egen map = rowmean(map1 map2 map3)
egen map_mean = mean(map)
gen map_c = map - map_mean
egen mc_mean = mean(mc)
gen mc_c = mc - mc_mean
egen ma = rowmean(ma1 ma2)
egen ma_mean = mean(ma)
gen ma_c = ma - ma_mean
egen exp = rowmean(oe1 oe2 oe3 oe4 oe5)
egen exp_mean = mean(exp)
gen exp_c = exp - exp_mean
sum pap map mc ma exp
pwcorr pap map mc ma exp
pwcorr pap map mc ma exp, sig

*********
*RESULTS*
*********

***Preliminary Analysis***
**"performance goals were stronger in the program using selective assessment, B = 0.55 [0.03, 1.07], p = .038, η2p = .03
reg pap faculty 
estat esize

***Main Analysis***

**c path
**"The interaction between preparatory program and performance goals was significant, B = 0.16, [0, 0.32], p = .044, η2p = .03"
*main 
reg exp c.faculty##c.pap_c##c.map_c
estat esize
*simple slopes 
*"performance goals were positively associated with exploitation orientation in the program using selective assessment, B = 0.18 [0.07, 0.28], p = .001, η2p = .07"
recode faculty (0.5 = 0) (-0.5 = 1), gen(faculty_cms)
reg exp c.faculty_cms##c.pap_c##c.map_c
est tab, p(%12.10g)
estat esize
*..."but not in the program using self-assessment, B = 0.02 [− 0.10, 0.13], p = .764"
recode faculty (-0.5 = 0) (0.5 = 1), gen(faculty_poly)
reg exp c.faculty_poly##c.pap_c##c.map_c

***a1 and a2 paths
**main a1 path
**"the interaction between preparatory program and performance goals in predicting controlled reasons was significant, B = 0.27 [0.01, 0.53], p = .040, η2p = .03"
reg mc c.faculty##c.pap_c##c.map_c
estat esize
*simple slopes
*"performance goals were more positively associated with controlled reasons in the program using selective assessment, B = 0.45 [0.28, 0.63], p < .001, η2p = .14"
reg mc c.faculty_cms##c.pap_c##c.map_c
estat esize
*..."than in the program using self-assessment, B = 0.18 [- 0.01, 0.37], p = .063, η2p = .02"
reg mc c.faculty_poly##c.pap_c##c.map_c
estat esize
**main a2 path
**"The interaction between preparatory program and performance goals in predicting autonomous reasons was not significant, B = − 0.07 [− 0.31, 0.18], p = .595"
reg ma c.faculty##c.pap_c##c.map_c
estat esize

**b1, b2, c’, and a1 * b1 paths
**"controlled reasons were a positive predictor, B = 0.14 [0.04, 0.23], p = .006, η2p = .05 (b1 path)"
reg exp c.faculty##c.pap_c##c.map_c mc_c ma_c
estat esize

*******
*TABLE*
*******

reg exp c.faculty##c.pap_c c.map_c c.faculty#c.map_c c.pap_c#c.map_c c.faculty#c.pap_c#c.map_c
reg exp c.faculty##c.pap_c c.map_c c.faculty#c.map_c c.pap_c#c.map_c c.faculty#c.pap_c#c.map_c ma_c mc_c
reg mc c.faculty##c.pap_c c.map_c c.faculty#c.map_c c.pap_c#c.map_c c.faculty#c.pap_c#c.map_c
reg ma c.faculty##c.pap_c c.map_c c.faculty#c.map_c c.pap_c#c.map_c c.faculty#c.pap_c#c.map_c

***********
*FOOTNOTES*
***********

*ae1-ae5: self-efficacy
*bds1 bds2i bds3: social dominance goals (item names with "i" at the end are reversed-coded)
*or1-or5: reciprocity orientation (item names with "i" at the end are reversed-coded)

************************
*SUPPLEMENTARY MATERIAL*
************************

***Study 1: Additional Variables
**self-efficacy
alpha ae1 ae2 ae3 ae4 ae5
egen ae = rowmean(ae1 ae2 ae3 ae4 ae5)
sum ae
**social dominance goals
alpha bds1 bds2i bds3
gen bds2 = 8 - bds2i
egen bds = rowmean(bds1 bds2 bds3)
sum bds
**reciprocity orientation
alpha or1 or2i or3i or4 or5
gen or2 = 8 - or2i
gen or3 = 8 - or3i
egen or = rowmean(or1 or2 or3 or4 or5) 
sum or

***Table S1.
**Participants did not differ significanty on gender across condition
recode sex (8 = .)
by faculty, sort: tab sex 
logit sex faculty
**Participants did not differ significanty on age across condition
by faculty: sum age
reg age faculty
display -0.74 * -0.74
