********
*IMPORT*
********

*To build the dataset, replace ***"C:\Users\Fripo_000\Desktop\Selection, performance goal complex, exploitation orientation"*** by the correct file path
import excel "C:\Users\Fripo\Google Drive\Projets (En cours)\5. Buts, motivations, et comportement d'aide\Submission M&E\Revision 1\FigShare (R1)\Study 3 - Inducing Reasons Behind Performance Goals\(Study 3) Raw matrix (de-identified).xlsx", firstrow cellrange(A1:EX310) clear

****************************
*PARTICIPANTS AND PROCEDURE*
****************************

**exclusions
*did not started the task (then "A total of 255 Amazon Mechanical Turk workers (MTurkers)")
drop if prel_rank_1_1_text == .
gen id = _n
distinct id
*missing -- did not get to the exploitation measure)
*"Twenty-eight participants were excluded due to missing data. "
drop if EH == .
*criteria A: Ss having not consented
*"Six participants who refused to give their consent following the autonomous reasons induction"
recode selec_cont (1 = 0.5) (. = -0.5), gen(cond_ac_c)
recode selec_aut (. = 2)
gen check_aut = selec_aut * cond_ac_c
tab check_aut
drop if check_aut == -1
*criteria B: Wrong ranking 
*"as well as 29 others who gave an incoherent preliminary ranking, were also excluded"
gen sum_rank_1 = prel_rank_1_1_text + prel_rank_2_1_text + prel_rank_3_1_text + prel_rank_4_1_text + prel_rank_5_1_text + prel_rank_6_1_text + prel_rank_7_1_text + prel_rank_8_1_text + prel_rank_9_1_text + prel_rank_10_1_text + prel_rank_11_1_text + prel_rank_12_1_text + prel_rank_13_1_text + prel_rank_14_1_text + prel_rank_15_1_text
tab sum_rank_1
drop if sum_rank_1 > 120
drop if sum_rank_1 < 120

*sex (1 = men)
*"98 women and 94 men"
tab sex 
*"Mage = 29.51 (SD = 9.14)."
sum age

*preliminary ranking: number of words
*"M = 4.58 words per decision, SD = 3.46"
egen prel_word = rowmean(prel_rank_1_3_text prel_rank_2_3_text prel_rank_3_3_text prel_rank_4_3_text prel_rank_5_3_text prel_rank_6_3_text prel_rank_7_3_text prel_rank_8_3_text prel_rank_9_3_text prel_rank_10_3_text prel_rank_11_3_text prel_rank_12_3_text prel_rank_13_3_text prel_rank_14_3_text prel_rank_15_3_text)
sum prel_word

*participant per condition (-0.5 = autonomous)
*"the autonomous reasons condition (n = 99)"
*"the controlled reasons condition (n = 93)"
tab cond_ac_c

*ranking sent to the bogus partner: number of words
*"M = 4.17 words per decision, SD = 3.41"
egen shar_word = rowmean(shar_rank_1_3_text shar_rank_2_3_text shar_rank_3_3_text shar_rank_4_3_text shar_rank_5_3_text shar_rank_6_3_text shar_rank_7_3_text shar_rank_8_3_text shar_rank_9_3_text shar_rank_10_3_text shar_rank_11_3_text shar_rank_12_3_text shar_rank_13_3_text shar_rank_14_3_text shar_rank_15_3_text)
sum shar_word

***********
*VARIABLES*
***********

*exploitation orientation
*"α = .86, M = 2.40, SD = 1.31"
alpha exploit_1 exploit_2_r exploit_3 exploit_4_r exploit_5
gen exploit_2 = 8 - exploit_2_r 
gen exploit_4 = 8 - exploit_4_r 
egen exp = rowmean(exploit_1 exploit_2 exploit_3 exploit_4 exploit_5)
sum exp

*openness in information giving. 
*This variable was assessed by computing Spearman’s rank-order correlation between the initial ranking the participants produced and the ranking they gave to the other.
*Poortvliet et al., Pers. Soc. Psychol. Bull. (2007)
*"Mr = .77 SDr = .34"
*"A skewness of sk = − 3.11 and a kurtosis of k = 13.57"
gen sum_diff_open = (prel_rank_1_1_text - shar_rank_1_1_text)^2 + (prel_rank_2_1_text - shar_rank_2_1_text)^2 + (prel_rank_3_1_text - shar_rank_3_1_text)^2 + (prel_rank_4_1_text - shar_rank_4_1_text)^2 + (prel_rank_5_1_text - shar_rank_5_1_text)^2 + (prel_rank_6_1_text - shar_rank_6_1_text)^2 + (prel_rank_7_1_text - shar_rank_7_1_text)^2 + (prel_rank_8_1_text - shar_rank_8_1_text)^2 + (prel_rank_9_1_text - shar_rank_9_1_text)^2 + (prel_rank_10_1_text - shar_rank_10_1_text)^2 + (prel_rank_11_1_text - shar_rank_11_1_text)^2 + (prel_rank_12_1_text - shar_rank_12_1_text)^2 + (prel_rank_13_1_text - shar_rank_13_1_text)^2 + (prel_rank_14_1_text - shar_rank_14_1_text)^2 + (prel_rank_15_1_text - shar_rank_15_1_text)^2
gen srank_open = 1 - (6 * sum_diff_open) / (15 * (15 * 15 - 1))
sum srank_open
sum srank_open, detail

*********
*RESULTS*
*********

**exploitation orientation
**"Reasons connected to performance goals were a positive predictor, B = 0.41 [0.04, 0.78], p = .032, η2p = .02"
reg exp cond_ac_c
estat esize
*predicted mean
recode cond_ac_c (-0.5 = 1) (0.5 = 0), gen(cond_ctrl)
recode cond_ac_c (-0.5 = 0) (0.5 = 1), gen(cond_aut)
*"Participants reported a higher exploitation orientation in the controlled reasons condition (M = 2.61 [2.35, 2.88])"
reg exp cond_ctrl
*..."than in the autonomous reasons condition (M = 2.20 [1.95, 2.46])."
reg exp cond_aut

**information sharing
*total effect
*"reasons connected to performance goals were not a significant predictor, Bboot = 0.04 CI [− 0.06, 0.14], p = .409"
bootstrap, reps(50000): reg srank_open cond_ac_c
*b path
*"which itself [exploitation orientation] negatively predicted information sharing behavior, Bboot = − 0.13 [− 0.18, − 0.07], p < .001, η2p = .10"
bootstrap, reps(50000): reg srank_open exp
display -4.63 * -4.63
display -4.63 * -4.63  / (-4.60 * -4.60 + 185)

**number of words
*total effect
*"reasons connected to performance goals were not a “direct” predictor, B = 0.23 [− 0.42, 0.88], p = .493"
reg shar_word cond_ac_c prel_word 
*b path
*" Exploitation orientation was negatively associated with the number of words shared with the other, B = − 0.26 [− 0.51, − 0.02], p = .035, η2p = .02"
reg shar_word exp prel_word
estat esize

***************
*SUPPLEMENTARY*
***************

***Table S1
**Participants did not differ significanty on gender across condition
by cond_ac_c, sort: tab sex 
recode sex (2 = 0) (1 = 1), gen(sex_01)
logit sex_01 cond_ac_c
**Participants did not differ significanty on age across condition
by cond_ac_c: sum age
reg age cond_ac_c
display .97^2
